## wxDynamicLibraryDetails

This class is used for the objects returned by wxDynamicLibrary::ListLoaded method and contains the information about a single module loaded into the address space of the current process. A module in this context may be either a dynamic library or the main program itself.

Derived from

No base class.

Include files

<wx/dynlib.h>

(only available if `wxUSE_DYNLIB_CLASS` is set to 1)

Members

wxDynamicLibraryDetails::GetName
wxDynamicLibraryDetails::GetPath
wxDynamicLibraryDetails::GetAddress
wxDynamicLibraryDetails::GetVersion

### wxDynamicLibraryDetails::GetName

wxString GetName() const

Returns the base name of this module, e.g. `kernel32.dll` or `libc-2.3.2.so`.

### wxDynamicLibraryDetails::GetPath

wxString GetPath() const

Returns the full path of this module if available, e.g. `c:\windows\system32\kernel32.dll` or `/lib/libc-2.3.2.so`.

### wxDynamicLibraryDetails::GetAddress

bool GetAddress(void **addr, size_t *len) const

Retrieves the load address and the size of this module.

Parameters

addr

the pointer to the location to return load address in, may be `NULL`

len

pointer to the location to return the size of this module in memory in, may be `NULL`

Return value

`true` if the load address and module size were retrieved, `false` if this information is not available.

### wxDynamicLibraryDetails::GetVersion

wxString GetVersion() const

Returns the version of this module, e.g. `5.2.3790.0` or `2.3.2`. The returned string is empty if the version information is not available.